This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | Table
Name | ### getRow()
Examples |
    Table table;

    void setup() {

      table = new Table();

      table.addColumn("name");
      table.addColumn("type");

      TableRow newRow = table.addRow();
      newRow.setString("name", "Lion");
      newRow.setString("type", "Mammal");

      newRow = table.addRow();
      newRow.setString("name", "Snake");
      newRow.setString("type", "Reptile");

      newRow = table.addRow();
      newRow.setString("name", "Mosquito");
      newRow.setString("type", "Insect");

      TableRow row = table.getRow(2);
      println(row.getString("name"));  // Prints "Mosquito"
      row.setString("name", "Ladybug");
      println(row.getString("name"));  // Prints "Ladybug"
    }
Description | Returns a reference to the specified TableRow. The reference can then be used to get and set values of the selected row, as illustrated in the example above.
Syntax |
    .getRow(row)
Parameters |
row | int: ID number of the row to get
Returns | TableRow
Related | rows() findRow() findRows() matchRow() matchRows()

Updated on October 26, 2013 08:58:34pm PDT